### Hierarchy

- DateConstructor

### Callable

- __call(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:875

  #### Returns string

## Index

### Constructors

- constructor

### Properties

- prototype

### Methods

- UTC
- now
- parse

## Constructors

### constructor

- new DateConstructor(): Date
- new DateConstructor(value: number | string): Date
- new DateConstructor(year: number, month: number, date?: undefined | number, hours?: undefined | number, minutes?: undefined | number, seconds?: undefined | number, ms?: undefined | number): Date

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:872

  #### Returns Date

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:873

  #### Parameters

  - ##### value: number | string

  #### Returns Date

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:874

  #### Parameters

  - ##### year: number

  - ##### month: number

  - ##### Optional date: undefined | number

  - ##### Optional hours: undefined | number

  - ##### Optional minutes: undefined | number

  - ##### Optional seconds: undefined | number

  - ##### Optional ms: undefined | number

  #### Returns Date

## Properties

### prototype

prototype: Date

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:877

## Methods

### UTC

- UTC(year: number, month: number, date?: undefined | number, hours?: undefined | number, minutes?: undefined | number, seconds?: undefined | number, ms?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:893

  Returns the number of milliseconds between midnight, January 1, 1970 Universal Coordinated Time (UTC) (or GMT) and the specified date.

  #### Parameters

  - ##### year: number

    The full year designation is required for cross-century date accuracy. If year is between 0 and 99 is used, then year is assumed to be 1900 + year.

  - ##### month: number

    The month as an number between 0 and 11 (January to December).

  - ##### Optional date: undefined | number

    The date as an number between 1 and 31.

  - ##### Optional hours: undefined | number

    Must be supplied if minutes is supplied. An number from 0 to 23 (midnight to 11pm) that specifies the hour.

  - ##### Optional minutes: undefined | number

    Must be supplied if seconds is supplied. An number from 0 to 59 that specifies the minutes.

  - ##### Optional seconds: undefined | number

    Must be supplied if milliseconds is supplied. An number from 0 to 59 that specifies the seconds.

  - ##### Optional ms: undefined | number

    An number from 0 to 999 that specifies the milliseconds.

  #### Returns number

### now

- now(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:894

  #### Returns number

### parse

- parse(s: string): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:882

  Parses a string containing a date, and returns the number of milliseconds between that date and midnight, January 1, 1970.

  #### Parameters

  - ##### s: string

    A date string

  #### Returns number

Generated using TypeDoc